Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.stat
Class FrequencyStat

    java.lang.Object
      net.i2p.stat.FrequencyStat

    public class FrequencyStat

extends Object

coordinate an event frequency over various periods

Constructor Summary
`FrequencyStat(String name, String description, String group, long[] periods)`

Method Summary
`void` | `coalesceStats()` coalesce all the stats
`void` | `eventOccurred()` update all of the frequencies for the various periods
`String` | `getDescription()`
`Frequency` | `getFrequency(long period)`
`String` | `getGroupName()`
`String` | `getName()`
`long[]` | `getPeriods()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrequencyStat

    public FrequencyStat(String name,
                         String description,
                         String group,
                         long[] periods)

Method Detail

### eventOccurred

    public void eventOccurred()

  update all of the frequencies for the various periods

### coalesceStats

    public void coalesceStats()

  coalesce all the stats

### getName

    public String getName()

### getGroupName

    public String getGroupName()

### getDescription

    public String getDescription()

### getPeriods

    public long[] getPeriods()

### getFrequency

    public Frequency getFrequency(long period)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD